Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.roster
Class RosterItem.SubType

    java.lang.Object
      org.jivesoftware.util.Enum
          org.jivesoftware.util.IntEnum
              org.jivesoftware.openfire.roster.RosterItem.SubType

Enclosing class:
  RosterItem

    public static class RosterItem.SubType

extends IntEnum

Field Summary

Fields inherited from class org.jivesoftware.util.IntEnum
`enumTypes`

Constructor Summary
`protected` | `RosterItem.SubType(String name, int value)`

Method Summary
`static RosterItem.SubType` | `getTypeFromInt(int value)`

Methods inherited from class org.jivesoftware.util.IntEnum
`equals, getEnumFromInt, getValue, hashCode, register, toString`

Methods inherited from class org.jivesoftware.util.Enum
`getName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RosterItem.SubType

    protected RosterItem.SubType(String name,
                                 int value)

Method Detail

### getTypeFromInt

    public static RosterItem.SubType getTypeFromInt(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.